cascading.flow.stream.element

## Class ElementFlowProcess

- java.lang.Object
- - cascading.flow.FlowProcess<Config>
  - - cascading.flow.FlowProcessWrapper
    - - cascading.flow.stream.element.ElementFlowProcess

-     public class ElementFlowProcess
      extends FlowProcessWrapper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.FlowProcess

      `FlowProcess.NullFlowProcess`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.FlowProcess

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementFlowProcess(FlowProcess flowProcess, ConfigDef configDef)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getProperty(java.lang.String key)` Method getProperty should be used to return configuration parameters from the underlying system.
    `java.util.Collection<java.lang.String>` | `getPropertyKeys()` Method getPropertyKeys returns an immutable collection of all available property key values.

    - ### Methods inherited from class cascading.flow.FlowProcessWrapper

      `closeTrapCollectors, copyConfig, copyWith, diffConfigIntoMap, getConfig, getConfigCopy, getCounterValue, getCounterValue, getCurrentSession, getCurrentSliceNum, getDelegate, getID, getNumProcessSlices, getTrapCollectorFor, increment, increment, isCounterStatusInitialized, keepAlive, mergeMapIntoConfig, newInstance, openSystemIntermediateForWrite, openTapForRead, openTapForWrite, openTrapForWrite, setCurrentSession, setStatus, undelegate`

    - ### Methods inherited from class cascading.flow.FlowProcess

      `getBooleanProperty, getBooleanProperty, getIntegerProperty, getIntegerProperty, getStringProperty, getStringProperty, getTrapCollectors`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementFlowProcess

          public ElementFlowProcess(FlowProcess flowProcess,
                            ConfigDef configDef)

  - ### Method Detail

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String key)

      Description copied from class: `FlowProcess`
      Method getProperty should be used to return configuration parameters from the underlying system.

      In the case of Hadoop, the current Configuration will be queried.
      Overrides:
        `getProperty` in class `FlowProcessWrapper`
      Parameters:
        `key` - of type String
      Returns:
        an Object

    - #### getPropertyKeys

          public java.util.Collection<java.lang.String> getPropertyKeys()

      Description copied from class: `FlowProcess`
      Method getPropertyKeys returns an immutable collection of all available property key values.
      Overrides:
        `getPropertyKeys` in class `FlowProcessWrapper`
      Returns:
        a Collection

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.